/*
 Theme Name:   Centrumdach
 Template: 	   kadence
 Author:       SP Media
 Author URI:   https://spmedia.pl/
*/

.site-container {
	box-sizing: content-box; 
}

.ce-topbar-contact-icons {
	display: flex; 
	gap: 80px; 
	align-items: center; 
	justify-content: flex-end; 
	padding:18px 0;
	
}

.ce-topbar-contact-icons>a {
	text-decoration: none; 
}

#wrapper .ce-flex0-children>.kt-inside-inner-col>.wp-block-kadence-column {
	flex: initial; 
}

#primary-menu .current-menu-item a,
#mobile-menu .current-menu-item a,
#footer-menu .current-menu-item a{ 
	font-weight: 500;
}

#primary-menu .menu-item {
	position: relative;
}


#primary-menu .menu-item::after {
	content: "";
	position: absolute;
	left:50%;
	transform:translatex(-50%);
	bottom:0;
	height:1px; 
	width:34px; 
	background: var(--global-palette2);
	opacity: 0;
	transition: all .4s ease; 
}

#primary-menu .menu-item.current-menu-item::after,
#primary-menu .menu-item:hover::after{
	opacity: 1;
}

body>#wrapper>#inner-wrap {
	transform: translatey(-115px); /* tyle co wysokosc srodkowego wiersza menu */
	margin-bottom: -115px; 
}

#wrapper #masthead {
	background: transparent; 
}

.ce-title-underline {
	position: relative;
}

.ce-title-underline::after {
	position: absolute; 
	content: "";
	width: 91px; 
	height:2px; 
	background: var(--global-palette2);
	bottom:0;
	left: 50%;
	transform:translatex(-50%);
}

/* header section for home and subpages*/

#wrapper .ce-section-with-black-overlay>.kt-inside-inner-col {
	position: relative; 
}

#wrapper .ce-section-with-black-overlay>.kt-inside-inner-col::after {
	content: "";
	position: absolute;
	width:100%;
	left:0;
	bottom: -3px;
	background: linear-gradient(180deg, rgba(18, 18, 18, 0) 0%, rgba(18, 18, 18, 0.925) 82%, #121212 96.5%);
	height:70%;
	top: initial; 
	opacity: 1;
}

#wrapper .ce-section-with-black-overlay.ce-section-with-black-overlay--subpage::after {
	height: 56%;
}


@media (max-width: 768px) {
	#wrapper .ce-section-with-black-overlay>.kt-inside-inner-col::after {
		height: 100%; 
	}
}


#wrapper .ce-section-with-black-overlay.ce-section-with-black-overlay--subpage>.kt-inside-inner-col::before {
	top:initial;
	height:230px;
	width: 130px; 
	z-index:1;
}

@media (max-width: 768px) {
	#wrapper .ce-section-with-black-overlay.ce-section-with-black-overlay--subpage>.kt-inside-inner-col::before {
		display: none;
	}
}

.ce-single-section-header {
	position: relative; 
}

.ce-single-section-header::after,
.ce-single-section-header::before{
	position: absolute; 
	left:0;
	bottom:0 ;
	height:2px;
	width:100%;
	background: #2a2a2a; 
	content: "";
}

.ce-single-section-header.ce-single-section-header--blue-border::after{
	background: #3b457e;
}

.ce-single-section-header.ce-single-section-header--white-border::after{
	background: #e6e6e6;
}

.ce-single-section-header.ce-single-section-header--very-white-border::after {
	background: #fff;
}

.ce-single-section-header.ce-single-section-header--certyfikaty-border::after {
	background: #bca07f;
}

.ce-single-section-header.ce-single-section-header--certyfikaty-border::before {
	background: #fff;
}

.ce-single-section-header.ce-single-section-header--gray-border::after {
	background: #f9f9f9;
}

.ce-single-section-header.ce-single-section-header--no-border::after {
	background: transparent;
}

.ce-single-section-header::before {
	width: 70px; 
	background: var(--global-palette2);
	z-index: 1;f
}

#wrapper .ce-readmore-btn {
	background: transparent; 
	padding: 0;
	padding-right:5px; 

}

#wrapper .ce-readmore-btn span {
	transition: all .2s linear;
}

#wrapper .ce-readmore-btn span.kt-btn-inner-text {
	font-size: 14px; 
	font-weight: 400;
}

#wrapper .ce-readmore-btn:hover span{
	color: var(--global-palette2);
}

#wrapper .ce-readmore-btn:hover span.kb-svg-icon-wrap {
	transform:translatex(5px);
}

#wrapper .ce-home-offer-section-panel .kt-inside-inner-col {
	position: relative; 
}

#wrapper .ce-home-offer-section-panel img {
	aspect-ratio: 3/4;
	object-fit: cover; 
}

#wrapper .ce-home-offer-section-panel .ce-home-offer-section-panel__text {
	left: 0;
    bottom: -1px; 
    position: absolute;
    background: #fff;
    width: 88%;
    padding: 20px 10px;
    box-sizing: border-box;
	transition: all .4s linear;
	font-size: 16px; 
}

@media (max-width: 768px) {
	#wrapper .ce-home-offer-section-panel .ce-home-offer-section-panel__text {
		padding: 10px 5px; 
		font-size: 12px; 
	}
}

#wrapper .ce-home-offer-section-panel .ce-home-offer-section-panel__text::after {
	content: ""; 
	position: absolute; 
	left: 0;
	bottom: 0;
	height:2px; 
	width:50px; 
	background: var(--global-palette2);
	transition: all .4s linear;
}

@media (min-width: 768px) {
	#wrapper .ce-home-offer-section-panel:hover {
		cursor: pointer; 
	}

	#wrapper .ce-home-offer-section-panel:hover .ce-home-offer-section-panel__text {
		width:100%;
	}

	#wrapper .ce-home-offer-section-panel:hover .ce-home-offer-section-panel__text::after {
		width: 100%;
	}
}

.ce-home-offer-section>.kt-inside-inner-col {
	position: relative; 
}

#wrapper .ce-home-offer-section>.kt-inside-inner-col::before {
	position: absolute; 
	content: "";
	background: #fff; 
	width:100%;
	height: 146px; 
	left:0;
	bottom: -3px;
	opacity: 1; 
	top: initial; 
}

@media (max-width: 1025px) {
	#wrapper .ce-home-offer-section>.kt-inside-inner-col::before {
		height: 60%;
	}
}

#wrapper .ce-home-offer-section > .kt-inside-inner-col::after {
    content: "";
    position: absolute;
    bottom: -46%;
    left: -2px;
    width: auto;
    height: auto;
    background-image: url('/wp-content/uploads/2025/03/Group-41078.webp');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left bottom; 
    display: block; 
    width: 100%; 
    height: 100%;
}

.ce-subtitle-underline {
	position: relative;
}

.ce-subtitle-underline::after {
	content: "";
	height: 2px;
	width: 70px; 
	background: var(--global-palette2);
	position: absolute; 
	left:50%;
	transform:translatex(-50%);
	bottom: 0;
}

#wrapper .ce-partnerzy-carousel .kb-gallery-figure img{
	background: #fff;
    object-fit: contain;
    padding: 30px;
}

#wrapper .ce-partnerzy-carousel .splide__pagination {
	position: relative;
	margin-top: 50px; 
}

#wrapper .ce-partnerzy-carousel .splide__pagination li button {
	background: #414141;
	opacity: 1;
}

#wrapper .ce-partnerzy-carousel .splide__pagination li button.is-active,
#wrapper .ce-partnerzy-carousel .splide__pagination li:hover button {
	background: var(--global-palette2);
}

#wrapper .ce-opionions-slider-name {
	width: 70%;
}

.ce-opinions-slider-icon {
	transform: translatex(-15px);
}

@media (max-width: 1025px) {
	.ce-opinions-slider-icon {
		transform: translatex(0);
	}
}

.ce-opinions-slider-dots {
	display: flex; 
	justify-content: center; 
	gap: 12px;
	margin-top: 70px; 
}

@media (max-width: 768px) {
	.ce-opinions-slider-dots {
		display: flex; 
		justify-content: center; 
		gap: 12px;
		margin-top: 30px; 
	}
}

.ce-opinions-slider-dots .ce-opinions-slider-dot {
	width:10px; 
	border-radius: 100px; 
	height:10px; 
	background: #EFE5D8;
}

.ce-opinions-slider-dots .ce-opinions-slider-dot:hover {
	cursor:pointer;
}

.ce-opinions-slider-dots .ce-opinions-slider-dot.is-active, 
.ce-opinions-slider-dots .ce-opinions-slider-dot:hover{
	background: var(--global-palette2);
}

#wrapper .ce-home-opinions-slider>.kt-inside-inner-col {
	align-items: stretch;
}

#wrapper .ce-home-opinions-slider__opinion>.kt-inside-inner-col{
	height: 100%;
	display:flex; 
	justify-content: space-between;
} 

#wrapper .ce-icon-with-border {
	border: 1px solid #fff;
    border-radius: 100px;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#wrapper .kb-radio-check-item .kb-checkbox-style {
	height:20px; 
	width:20px; 
}

#wrapper .kb-radio-check-item  label {
	font-size: 14px; 
}

#colophon .site-top-footer-inner-wrap,
#colophon  .site-middle-footer-inner-wrap {
	display: flex; 
	justify-content: space-between;
	align-items:center; 
}

#colophon .site-top-footer-inner-wrap {
	border-bottom: 1px solid #353535;
}

#colophon .site-top-footer-inner-wrap .site-footer-top-section-2 {
	flex-shrink: 0;
}

#colophon .footer-widget-area {
	margin: 0;
}

#colophon .footer-navigation-wrap.footer-widget-area {
	margin-left: 70px; 
}

@media (max-width: 768px) {
	#colophon .site-top-footer-inner-wrap,
	#colophon  .site-middle-footer-inner-wrap {
		flex-direction: column; 
	}
	
	#colophon .site-top-footer-inner-wrap .site-footer-top-section-1 {
		flex-direction: column;
		align-items: center; 
	}
	
	#colophon .footer-navigation-wrap.footer-widget-area {
		margin-left: 0; 
	}
	
	#wrapper .ce-footer-logo {
		margin-bottom: 30px; 
	}
	
	#colophon #footer-menu {
		flex-direction: column;
		align-items: center; 
	}
	
	#colophon .site-top-footer-inner-wrap {
		border-bottom: 0;
	}
	
	#colophon .site-middle-footer-inner-wrap .site-footer-middle-section-1 {
		flex-direction: column; 
	}
	
	#colophon .site-middle-footer-inner-wrap  .footer-html {
		margin: 0;
		margin-bottom:10px;
	}
	
	#colophon .ce-footer-second-menu>.kt-inside-inner-col {
		flex-direction: column;
		gap:10px;
	}
}

.ce-pag-gal-pagination {
	gap: 20px;
    display: flex;
    justify-content: flex-end;
    margin-top: 100px;
}

@media (max-width: 768px) {
	.ce-pag-gal-pagination {
		justify-content: center; 
	}
}

.ce-pag-gal-pagination button {
	background: transparent !important;
    color: #828282;
    font-weight: 600;
    font-size: 16px;
	padding: 0;
}

.ce-pag-gal-pagination button.active {
	color: #fff;
}

#wrapper .ce-wspolpraca-dlaczego-list figure {
	flex-shrink: 0;
}

.ce-wspolpraca-dlaczego-image {
	height: 100%;
}

.ce-wspolpraca-dlaczego-image img {
	height: 100%; 
	object-fit: cover; 
}

#wrapper .ce-wspolpraca-dlaczego-row {
	transform: translatey(-155px);
	margin-bottom: -155px;
}

@media (max-width: 1025px) {
	#wrapper .ce-wspolpraca-dlaczego-row {
		transform: translatey(-50px);
		margin-bottom: -50px;
	}
}

.ce-title-with-600strong strong {
	font-weight: 600;
}

#wrapper .ce-no-shrink-element {
	flex-shrink: 0;
}

#wrapper .ce-wspolpraca-contact-section {
	transform: translatey(50px);
	margin-bottom: -50px;
}

@media (max-width: 768px) {
	#wrapper .ce-wspolpraca-contact-section {
		transform: translatey(0);
		margin-bottom: 0;
	}
}

.ce-certyfikaty-slider .kb-gallery-ul .kadence-blocks-gallery-item {
	width:80%;
	margin-left:auto;
	margin-right:auto;
}

#wrapper .ce-certyfikaty-slider .splide__arrow  {
	background: transparent;
	opacity:1;
}

#wrapper .ce-wspolpraca-certyfikaty-section>.kt-inside-inner-col::before {
	width: 60%;
}

#wrapper .ce-section-with-triangle-in-corner>.kt-inside-inner-col {
	position: relative;
}

#wrapper .ce-section-with-triangle-in-corner>.kt-inside-inner-col::after {
    content: "";
    position: absolute;
    bottom: -1px;
    right: 0;
    width: 0;
    height: 0;
    border-left: 50px solid transparent;
    border-bottom: 50px solid var(--global-palette3); 
}

#wrapper .ce-section-with-triangle-in-corner.ce-section-with-triangle-in-corner--white>.kt-inside-inner-col::after {
    border-left: 50px solid transparent;
    border-bottom: 50px solid #fff;
}


/* polityka prywatności */

#wrapper .ce-policy-privacy-list>li {
	font-size:24px; 
	font-weight:600;
}


#wrapper .ce-policy-privacy-list>li>ul {
	margin:50px 0;
	display:flex;
	flex-direction:column;
	gap:20px; 
}

@media (max-width: 768px) {
	#wrapper .ce-policy-privacy-list>li>ul {
		margin:20px 0;
		gap:10px;
	}
}

#wrapper .ce-policy-privacy-list>li>ul>li::marker {
	color: var(--global-palette2);
}

#wrapper .ce-policy-privacy-list>li>ul>li {
	font-size: 16px;
	font-weight:300;
}

#wrapper .ce-policy-privacy-list>li>ul>li>ul>li {
	font-size: 14px; 
	margin-top:10px;
	list-style-type:none;
	position:relative;
	display:flex; 
	align-items:center;
	gap:15px;
}

@media (max-width: 768px) {
	#wrapper .ce-policy-privacy-list>li>ul>li>ul>li {
		margin-top:5px;
	}
}

#wrapper .ce-policy-privacy-list>li>ul>li>ul>li::before {
	height:1px; 
	width: 21px; 
	background: var(--global-palette2);
	content: "";
	display:block; 
}

#wrapper .ce-policy-privacy-list,
#wrapper .ce-policy-privacy-list>li>ul {
	list-style-position: inside;
	padding:0;
}

#wrapper .ce-dane-firmy-section>.kt-inside-inner-col{
	align-items: stretch;
}

#wrapper .ce-dane-firmy-section>.kt-inside-inner-col>.wp-block-kadence-column>.kt-inside-inner-col {
	height:100%;
}

#wrapper .ce-contact-top-row {
	transform: translatey(-130px);
	margin-bottom: -130px;
}

@media (max-width: 768px) {
	#wrapper .ce-contact-top-row {
		transform: translatey(-160px);
		margin-bottom: -160px;
	}
}

.leaflet-control-attribution {
	display: none; 
}

.ce-contact-map-container {
	height: 100%;
}

#contact-map {
	min-height: 400px; 
}

.ce-contact-section>.kt-inside-inner-col>.kb-row-layout-wrap {
	position: relative; 
}

.ce-contact-section>.kt-inside-inner-col>.kb-row-layout-wrap::before {
	position: absolute;
	top:-80px;
	right: 0;
	content: url('/wp-content/uploads/2025/03/Vector-7-1.webp');
}

@media (max-width: 1025px) {
	.ce-contact-section>.kt-inside-inner-col>.kb-row-layout-wrap::before {
		top:-50px;
	}
}

.leaflet-pane.leaflet-shadow-pane {
	display: none;
}

.leaflet-pane.leaflet-marker-pane img{
	object-fit:contain !important;
}

@media (min-width: 768px) {
	.ce-naszamisja-text-seciton {
		width: calc( 100% + 100px );
		transform: translatex(-100px);
	}
	.ce-nasza-misja-section {
		transform: translatey(-200px);
		margin-bottom: -200px;
	}

	#wrapper .ce-nasza-misja-row {
		transform: translatey(200px);
		margin-top:-200px;
	}
}
 
#wrapper .ce-nasza-misja-section>.kt-inside-inner-col::before {
	width: 60%;
}

.ce-about-us-opinions {
	transform: translatey(-130px);
	margin-bottom: -130px;
}

#wrapper .ce-about-us-opinions h2 {
	color: #fff;
}

#wrapper .ce-about-us-opinions>.kt-inside-inner-col {
	position: relative; 
}

#wrapper .ce-about-us-opinions>.kt-inside-inner-col::after {
	position: absolute;
	bottom:0;
	right: 0;
	content: url('/wp-content/uploads/2025/03/Vector-7-1.webp');
}

@media (max-width: 768px) {
	#acf-leaflet-map {
		height: 350px !important;
	}
}

#wrapper ul.ce-oferta-category-desc-list {
	list-style-type: none; 
	margin: 0;
	display: flex; 
	flex-direction: column;
	justify-content: flex-start; 
	gap:15px;
}

#wrapper ul.ce-oferta-category-desc-list li {
	position: relative; 
	display:flex; 
	align-items: center; 
	gap:20px; 
	font-weight: 400;
	color: #121212;
	font-size: 14px; 
}

#wrapper ul.ce-oferta-category-desc-list li::before {
	content: url('/wp-content/uploads/2025/03/Vector-1-1.webp');
	width: 21px; 
	height:11px; 
	object-fit: contain; 
	display:block; 
}


@media (min-width: 768px) {
	#wrapper .ce-oferta-category-info-section {
		width: calc(100% + 130px);
		z-index: 2;
	}
	
	#wrapper .ce-oferta-category-info-section.ce-oferta-category-info-section--right {
		width: calc(100% + 130px);
		z-index: 2;
		transform:translatex(-130px);
	}
}

body.error404 #main,
body.search #main{
	margin-top:150px;
}

.ce-offer-list {
	display: grid; 
	grid-template-columns: repeat(3, 1fr);
	gap:20px; 
}

@media (max-width: 768px) {
	.ce-offer-list {
		grid-template-columns: repeat(2, 1fr);
		gap:10px;
	}
}

.ce-offer-list .ce-offer-image {
	width: 100%;
}

.ce-offer-list .ce-offer-image img {
	aspect-ratio: 365/257;
	object-fit: cover;
	height:100%;
	width:100%;
} 

.ce-offer-item {
	box-shadow: 0px 13px 28px 0px rgba(0,0,0,.1);
	background: #fff;
}

.ce-offer-item .ce-offer-content {
	padding: 30px; 
}

@media (max-width: 1025px) {
	.ce-offer-item .ce-offer-content {
		padding: 15px; 
	}
}

@media (max-width: 768px) {
	@media (max-width: 1025px) {
		.ce-offer-item .ce-offer-content {
			padding: 10px; 
		}
	}
}

.ce-offer-item .ce-offer-content .ce-offer-title {
	font-size: 20px; 
	color: #121212;
	margin-bottom: 15px; 
	line-height: 1.2;
}

@media (max-width: 768px) {
	.ce-offer-item .ce-offer-content .ce-offer-title {
		margin-bottom: 10px; 
	}
}

.ce-offer-divider {
	height:2px; 
	width: 70px; 
	background: var(--global-palette2);
}

.ce-offer-item .ce-offer-content .ce-offer-logos {
	display: grid;
    grid-template-columns: repeat(2, 1fr);
	gap:10px; 
	margin-top:30px; 
}

@media (max-width: 768px) {
	.ce-offer-item .ce-offer-content .ce-offer-logos {
		gap:5px; 
		margin-top:15px; 
	}
}

.ce-offer-item .ce-offer-content .ce-offer-logos .ce-offer-logo {
	border: 2px solid #f9f9f9;
	padding:15px 10px; 
	object-fit: contain;
}

#wrapper .ce-offer-archive-main-section>.kt-inside-inner-col {
	position: relative;
}

#wrapper .ce-offer-archive-main-section>.kt-inside-inner-col::after {
	position: absolute; 
	left: 0;
	top: 30%;
	content: url('/wp-content/uploads/2025/03/Vector-12.webp');
}

.ce-pagination .next,
.ce-pagination .prev {
	display: none; 
}

.ce-pagination{
	display: flex;
    justify-content: flex-end;
    margin-top: 50px;
    gap: 10px;
}

.ce-pagination>* {
	font-size: 16px; 
	text-decoration: none; 
	color: #121212 !important;
}

.ce-pagination>*.current {
	font-weight:600;
}

.no-display {
	display: none;
}

.social-button img {
	display: none;
}

.kb-radio-check-item>input {
	flex-shrink: 0;
}

#wrapper .ce-opinions .kt-testimonial-rating-wrap {
	display:flex; 
	justify-content: end;
	gap:5px; 
	margin:20px; 
	margin-bottom: 0;
}

@media (max-width: 768px) {
	#wrapper .ce-opinions .kt-testimonial-rating-wrap {
		margin: 10px; 
		margin-bottom: 0; 
	}
}

#wrapper .ce-opinions .kt-blocks-testimonial-carousel-item {
	background: #F9F9F9;
	position: relative; 
}

#wrapper .ce-opinions .kt-blocks-testimonial-carousel-item::before {
	content: "";
	background-image: url('/wp-content/uploads/2025/03/1.webp');
	height: 31px; 
	width: 35px;
	background-size: cover;
	position: absolute; 
	left: 15px; 
	top: 15px; 
}

#wrapper .ce-opinions .kt-testimonial-content {
	color: #121212;
	font-size:12px; 
	font-weight: 300; 
	text-align:left;
	padding:30px; 
	padding-bottom:20px; 
}

@media (max-width: 768px) {
	#wrapper .ce-opinions .kt-testimonial-content {
		padding:15px; 
		padding-bottom: 10px;
		padding-top: 35px;
	}
}

#wrapper .ce-opinions  .kt-testimonial-meta-wrap {
	justify-content:flex-start;
}

#wrapper .ce-opinions .kt-testimonial-item-wrap {
	padding: 0;
	display:flex; 
	height:100%;
	flex-direction:column; 
	justify-content:space-between;
}

#wrapper .ce-opinions .kt-testimonial-meta-wrap {
	background: #fff; 
	width: 70%;
	padding: 10px 20px; 
}

#wrapper .ce-opinions .kt-testimonial-name {
	font-weight: 400;
	font-size: 14px; 
	color: #121212;
}

.no-display {
	display: none !important;
}

#wrapper .ce-opinions .splide__pagination li button{
	background: #EFE5D8;
	
}

#wrapper .ce-opinions .splide__pagination li button.is-active{
	background: var(--global-palette2);
}

#wrapper .ce-opinions .splide__pagination {
	gap: 5px; 
}

#wrapper .ce-opinions .kt-blocks-carousel-init {
	padding-bottom: 70px; 
}

@media (max-width: 768px) {
	#wrapper .ce-opinions .kt-blocks-carousel-init {
		padding-bottom: 35px; 
	}
}